org.apache.ignite.internal.compute

## Class ComputeTaskTimeoutCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.compute.ComputeTaskTimeoutCheckedException

All Implemented Interfaces:
  Serializable

    public class ComputeTaskTimeoutCheckedException
    extends IgniteCheckedException

This exception indicates that task execution timed out. It is thrown from `ComputeTaskFuture.get()` method.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComputeTaskTimeoutCheckedException(String msg)` Creates task timeout exception with given task execution ID and error message.
`ComputeTaskTimeoutCheckedException(String msg, @Nullable Throwable cause)` Creates task timeout exception with given task execution ID, error message and optional nested exception.
`ComputeTaskTimeoutCheckedException(Throwable cause)` Creates new task timeout exception given throwable as a cause and source of error message.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComputeTaskTimeoutCheckedException

    public ComputeTaskTimeoutCheckedException(String msg)

Creates task timeout exception with given task execution ID and error message.

Parameters:
  `msg` - Error message.

#### ComputeTaskTimeoutCheckedException

    public ComputeTaskTimeoutCheckedException(Throwable cause)

Creates new task timeout exception given throwable as a cause and source of error message.

Parameters:
  `cause` - Non-null throwable cause.

#### ComputeTaskTimeoutCheckedException

    public ComputeTaskTimeoutCheckedException(String msg,
                                              @Nullable
                                              @Nullable Throwable cause)

Creates task timeout exception with given task execution ID, error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021